Package org.gradle.tooling.events.task

# Interface TaskFailureResult

All Superinterfaces:
  `FailureResult`, `OperationResult`, `TaskExecutionResult`, `TaskOperationResult`

public interface TaskFailureResult extends TaskExecutionResult, FailureResult
Describes how a task operation finished with failures.

Since:
  2.5

- ## Method Summary

  ### Methods inherited from interface org.gradle.tooling.events.FailureResult

  `getFailures`

  ### Methods inherited from interface org.gradle.tooling.events.OperationResult

  `getEndTime, getStartTime`

  ### Methods inherited from interface org.gradle.tooling.events.task.TaskExecutionResult

  `getExecutionReasons, isIncremental`